/*
    ES Knot
    Copyright 2005, 2006 Martin Storsjo

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsjo
    martin@martin.st
*/

#ifndef __KNOTAPP_H
#define __KNOTAPP_H

#ifdef UIQ3
#include <qikapplication.h>
class CKnotApplication : public CQikApplication {
#else
#include <aknapp.h>
class CKnotApplication : public CAknApplication {
#endif

public: 
	TUid AppDllUid() const;
protected:
	CApaDocument* CreateDocumentL();
};

#ifdef EKA2
const TUid KUidKnotApp = { 0xf0273928 };
#else
const TUid KUidKnotApp = { 0x10273928 };
#endif

#endif
